<?php

require_once dirname(__DIR__) . '/../config.php';
require_once DIRLIBCOMP . 'SPDO.php';
require_once DIRLIBCOMP . 'funciones.php';
require_once DIRLIBCOMP . 'registro_logs.php';
require_once DIRLIBCOMP . 'KLogger.php';

/**
 *   Conectamos a la BD
 */
global $conexion;
$conexion = new SPDO(BDENGINE, BDHOST, BDDATABASE, BDUSER, BDPASS);

/**
 *   Inicializamos las plantillas
 */

// PHP con los textos estáticos de la plantilla
require_once DIRLANGUAGESTRINGS . 'compra/producto_ok.php';

$numero_operacion = !empty($_SESSION['numero_operacion']) ? $_SESSION['numero_operacion'] : '';

if ($numero_operacion != '') {
    $sql_tpv = "SELECT *
            FROM Redsys tpv JOIN localizadores localizador ON tpv.localizador = localizador.localizador
            AND tpv.estado = 'pagado' AND tpv.Ds_MerchantData = " . $numero_operacion;

    $result_tpv = $conexion->query($sql_tpv);

    if ($result_tpv->rowCount() > 0) {

        // Recuperamos informacion de la compra
        $info = $result_tpv->fetch();
        if (isset($info['Ds_Merchant_Identifier']) && !empty($info['Ds_Merchant_Identifier'])) {
            setcookie('m_i', $info['Ds_Merchant_Identifier'], time() + 14400, "/"); // 86400 = 1 day
        }
    }
}

if (!empty($_COOKIE['m_i_url'])) {
    $url_volver = $_COOKIE['m_i_url'];

    $arr_url     = explode('?', $url_volver);
    $mesa_base   = $arr_url[1];
    $mesa_params = base64_decode($mesa_base);
    $arr_mesa    = explode('=', $mesa_params);
    $mesa        = $arr_mesa[2];

} else {
    $url_volver = '/gastro-bar/';
}

$URLVOLVER = $url_volver;
$MESA      = $mesa;


require_once DIRLANGUAGETEMPLATES . "compra/producto_ok.ctp";
